> For the complete documentation index, see [llms.txt](https://docs.ilert.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ilert.com/developer-docs/rest-api/api-reference/call-flow-numbers.md).

# Call Flow Numbers

## GET /call-flow-numbers

> List call flow numbers.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Call Flow Numbers"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"CallFlowNumberDetails":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"state":{"$ref":"#/components/schemas/CallFlowNumberState"},"phoneNumber":{"$ref":"#/components/schemas/PhoneNumber"},"assignedTo":{"$ref":"#/components/schemas/CallFlowNumberAssignedTo"}}},"CallFlowNumberState":{"type":"string","enum":["AVAILABLE","USED"]},"PhoneNumber":{"type":"object","properties":{"regionCode":{"type":"string"},"number":{"type":"string"}}},"CallFlowNumberAssignedTo":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}}}},"paths":{"/call-flow-numbers":{"get":{"tags":["Call Flow Numbers"],"summary":"List call flow numbers.","parameters":[{"name":"state","in":"query","description":"Filter call flow numbers by availability state.","schema":{"type":"string","default":"ANY","enum":["ANY","AVAILABLE","USED"]}},{"name":"include","in":"query","description":"Describes optional properties that should be included in the response. You may declare multiple. (assignedTo)","style":"form","explode":true,"schema":{"type":"array","items":{"type":"string","enum":["assignedTo"]}}},{"name":"start-index","in":"query","description":"an integer specifying the starting point (beginning with 0) when paging through a list of entities","schema":{"type":"integer","format":"int32","default":0}},{"name":"max-results","in":"query","description":"the maximum number of results when paging through a list of entities.","schema":{"maximum":100,"type":"integer","format":"int32","default":50}},{"name":"query","in":"query","description":"Filter call flow numbers by name.","schema":{"type":"string"}}],"responses":{"200":{"description":"The call flow numbers","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowNumberDetails"}}}}}}}}}}
```

## GET /call-flow-numbers/{id}

> Get a specific call flow number.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Call Flow Numbers"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"CallFlowNumberDetails":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"state":{"$ref":"#/components/schemas/CallFlowNumberState"},"phoneNumber":{"$ref":"#/components/schemas/PhoneNumber"},"assignedTo":{"$ref":"#/components/schemas/CallFlowNumberAssignedTo"}}},"CallFlowNumberState":{"type":"string","enum":["AVAILABLE","USED"]},"PhoneNumber":{"type":"object","properties":{"regionCode":{"type":"string"},"number":{"type":"string"}}},"CallFlowNumberAssignedTo":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}}}},"paths":{"/call-flow-numbers/{id}":{"get":{"tags":["Call Flow Numbers"],"summary":"Get a specific call flow number.","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"The requested call flow number","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallFlowNumberDetails"}}}}}}}}}
```

## GET /call-flow-numbers/name/{name}

> Get the call flow number with the specified name.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Call Flow Numbers"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"CallFlowNumberDetails":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"state":{"$ref":"#/components/schemas/CallFlowNumberState"},"phoneNumber":{"$ref":"#/components/schemas/PhoneNumber"},"assignedTo":{"$ref":"#/components/schemas/CallFlowNumberAssignedTo"}}},"CallFlowNumberState":{"type":"string","enum":["AVAILABLE","USED"]},"PhoneNumber":{"type":"object","properties":{"regionCode":{"type":"string"},"number":{"type":"string"}}},"CallFlowNumberAssignedTo":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}}}},"paths":{"/call-flow-numbers/name/{name}":{"get":{"tags":["Call Flow Numbers"],"summary":"Get the call flow number with the specified name.","parameters":[{"name":"name","in":"path","description":"unique name of the call flow number","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The requested call flow number","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallFlowNumberDetails"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ilert.com/developer-docs/rest-api/api-reference/call-flow-numbers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
